[SRU] juno 2014.2.1 point release

Bug #1398952 reported by Corey Bryant on 2014-12-03
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

OpenStack 2014.2.1 (stable/juno) released this morning

Here's the release email from Alan Pevec:

Hello everyone,

The OpenStack Stable Maintenance team is happy to announce the release
of the 2014.2.1 stable Juno release. We have been busy reviewing and
accepting backported bugfixes to the stable/juno branches according
to the criteria set at:

https://wiki.openstack.org/wiki/StableBranch

A total of 123 bugs have been fixed across all projects. These
updates to Juno are intended to be low risk with no
intentional regressions or API changes. The list of bugs, tarballs and
other milestone information for each project may be found on Launchpad:

https://launchpad.net/ceilometer/juno/2014.2.1
https://launchpad.net/cinder/juno/2014.2.1
https://launchpad.net/glance/juno/2014.2.1
https://launchpad.net/heat/juno/2014.2.1
https://launchpad.net/horizon/juno/2014.2.1
https://launchpad.net/keystone/juno/2014.2.1
https://launchpad.net/neutron/juno/2014.2.1
https://launchpad.net/nova/juno/2014.2.1
https://launchpad.net/sahara/juno/2014.2.1

OpenStack Database Service (Trove) did not have stable/juno fixes
at this time and will skip 2014.2.1 release.

Release notes may be found on the wiki:

https://wiki.openstack.org/wiki/ReleaseNotes/2014.2.1

The freeze on the stable/juno branches will be lifted today as we
begin working toward the 2014.2.2 release, planned for Jan 29 2015 release
and managed by Chuck Short.

Thanks,
Alan

Related branches

Changed in glance (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in ceilometer (Ubuntu):
status: New → Invalid
description: updated

Hello Corey, or anyone else affected,

Accepted ceilometer into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceilometer/2014.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Utopic):
status: New → Fix Committed
tags: added: verification-needed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2014.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Utopic):
status: New → Fix Committed
Changed in glance (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted glance into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2014.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted heat into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2014.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2014.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Utopic):
status: New → Fix Committed
Changed in neutron (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2014.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted nova into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2014.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2014.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Utopic):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted heat into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2014.2.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hi Chris,

Regression tests are running successfully against utopic-proposed. Tagged verification-done.

Thanks,
Corey

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2014.2.1-0ubuntu1

---------------
ceilometer (2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (b1fca33) (LP: #1398952):
    - [43718e8] Internal error with period overflow
    - [37e593e] Validate AdvEnum & return an InvalidInput on error
    - [3489129] Fix signature validation failure when using qpid message queue
    - [5879dbe] Change event type for identity trust notifications
    - [638c66c] Add timeout to all http requests
    - [d3bcd14] Database.max_retries only override on sqlalchemy side
    - [ca52652] Add encoding to keys in compute_signature
    - [48a2957] Add user_metadata to network samples
    - [b545b27] fix swift middleware parsing
    - [1324ab7] Fixes Hyper-V Inspector disk metrics cache issue
    - [470ba0a] Sync strutils from oslo-incubator for mask_password fix
    - [b1fca33] Handle poorly formed individual sensor readings
  * d/p/fix-requirements.txt: Rebased.
 -- Chuck Short <email address hidden> Mon, 08 Dec 2014 12:53:51 -0500

Changed in ceilometer (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ceilometer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.2.1-0ubuntu1

---------------
glance (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (41e143b) (LP: #1398952):
    - [640e08f] Disable osprofiler by default
    - [c5e302e] Image not downloaded without restricted property
    - [be90df8] Make RequestContext use auth_token (not auth_tok)
    - [10a6985] Swift Multi-tenant store: Pass context on upload
    - [540306e] Upgrade tests' mocks to match glance_store
    - [22b1992] Fix for adopt glance.store library in Glance
    - [3cdd0aa] Improve error log for expired image location url
    - [41e143b] Can not delete images if db deadlock occurs
  * d/control: Add python-hacking and python-mock to Build-Depends-Indep.
  * d/p/update-glance-store-tests.patch: Added to fix failing tests.
 -- Chuck Short <email address hidden> Mon, 08 Dec 2014 12:59:48 -0500

Changed in glance (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.2.1-0ubuntu1

---------------
cinder (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (f17aa46) (LP: #1398952):
    - [498fe7e] Revert "Fix Brocade FC SAN lookup MITM vulnerability"
    - [31b5831] Remove check_uptodate.sh check from tox.ini
    - [0d60ddc] VMware: Set target ESX host for backing VM clone
    - [423f702] IBM Storwize driver: Add local variable assignment to "ctxt"
    - [7b1d7a3] Change CHAP secret default length
    - [6fac126] TgtAdm: Don't change CHAP username/password on live migration
    - [fd323fe] Fix wrapper to work with barbicanclient 3.0.1
    - [e25b50f] Update cinder.conf.sample to fix max db conn retries
    - [628196e] Fix Brocade FC SAN lookup MITM vulnerability
    - [67c5a66] Remove test_barbican from keymgr tests
    - [b57c024] Eventlet green threads not released back to pool
    - [029e8c5] Use look up service for auto zoning
    - [f3320fc] Cinder api service doesn't handle SIGHUP properly
    - [c007350] Truncate fail_reason to column length
    - [7270e3f] VMware: Fix initialization of datastore selector
    - [f17aa46] NetApp fix for default host type in eseries
 -- Chuck Short <email address hidden> Mon, 08 Dec 2014 12:56:28 -0500

Changed in cinder (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2014.2.1-0ubuntu1

---------------
nova (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (3136cfc) (LP: #1398952):
    - [ee00c80] Instances with NUMA will be packed onto hosts
    - [ccb7ef2] Make Instance.save() update numa_topology
    - [3d0b946] objects: Makes sure Instance._save methods are called
    - [27d071f] Add support for fitting instance NUMA nodes onto a host
    - [6607de4] Add CHAP credentials support
    - [361ece2] Add legacy to the possible server group policies
    - [947bc73] Fix exception handling in _get_host_metrics()
    - [04d6471] Fix for extra_specs KeyError
    - [9b6699f] Use opportunistic approach for migration testing
    - [9c3ec16] Clean up iSCSI multipath devices in Post Live Migration
    - [ce1d1dd] Fix nova-compute start issue after evacuate
    - [7920cfd] Fix nova evacuate issues for RBD
    - [f9be946] Run build_and_run_instance in a separate greenthread
    - [e98738d] Fixes DOS issue in instance list ip filter
    - [9bb36c3] Keep migration status if instance still resizing
    - [6ffc2be] Translate 'powervm' hypervisor_type to 'phyp' for scheduling
    - [c159f91] Use response.text for returning unicode EC2 metadata
    - [837411a] Add @_retry_on_deadlock to _instance_update()
    - [d5e970d3] VMware: attach config drive if booting from a volume
    - [0bda022] libvirt: use six.text_type when setting text node value in guest xml
    - [3136cfc] Fix XML UnicodeEncode serialization error
  * d/p/rate-limit-power-sync-tasks.patch: Cherry-picked patch set 11 from
    https://review.openstack.org/#/c/132263/ (with minor adjustment to test file
    name).
  * d/control: Update dependencies based on updates to requirements.txt and
    test-requirements.txt.
 -- Chuck Short <email address hidden> Mon, 08 Dec 2014 13:17:30 -0500

Changed in nova (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.2.1-0ubuntu1

---------------
keystone (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (d7eb999) (LP: #1398952):
    - [f54fa8f] Prevent infinite loop in token_flush
    - [bd92689] Adds IPv6 url validation support
    - [db291b3] Use newer python-ldap paging control API
    - [d7eb999] Add oslo.serialization for latest keystoneclient
 -- Chuck Short <email address hidden> Mon, 08 Dec 2014 13:08:52 -0500

Changed in keystone (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.2.1-0ubuntu1

---------------
neutron (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (330ca81) (LP: #1398952):
    - [209160b] Fix hostname validation for nameservers
    - [d7ee2ff] Alter execute_alembic_command() to not assume all commands
    - [3e1d3a7] Prevent an iteration through ports on IPv6 slaac
    - [93f2536] Fix handling of CIDR in allowed address pairs
    - [8b5c08b] Fix metadata proxy start problem for v6-v4 network
    - [c00b4b3] Convert all incoming protocol numbers to string
    - [56b0029] linuxbridge-agent: make vxlan unicast check more efficent
    - [63b4337] Subnet delete for IPv6 SLAAC should not require prior port disassoc
    - [d09ba29] Fix context.elevated
    - [467a449] Drop and recreate FK if adding new PK to routerl3bindings
    - [87311b0] BSN: include missing data in floating IP call
    - [ad6fefc] Fix hostname regex pattern
    - [ba647ca] BSN: Set inconsistency record on delete failure
    - [c7954ab] fix event_send for re-assign floating ip
    - [b0d3e74] Fix KeyError in dhcp_rpc when plugin.port_update raise exception
    - [4e7b97e] rootwrap config files reference deleted quantum binaries
    - [d343288] Remove openvswitch core plugin entry point
    - [033e141] Fix L3 HA network creation to allow user to create router
    - [fe7c233] Stop ignoring 400 errors returned by ODL
    - [6efe68b] Allow to add router interface to IPv6 SLAAC network
    - [0877891] Set vif_details to reflect enable_security_group
    - [ee9c51d] Fix sleep function call
    - [96f9e7b] Batch ports from security groups RPC handler
    - [0be0dab] Big Switch: Fix SSL version on get_server_cert
    - [8575fe9] Create DHCP port for IPv6 subnet
    - [e51d647] NSX: allow multiple networks with same vlan on different phy_net
    - [a575cb7] _update_router_db: don't hold open transactions
    - [dd57281] Big Switch: Switch to TLSv1 in server manager
    - [560f8f8] Cisco N1kv: Fix update network profile for add tenants
    - [c5ae9dd] Only fetch port_id from SG binding table
    - [25c8280] Optimize query in _select_dhcp_ips_for_network_ids
    - [c14b58b] Improve performance of security group DB query
    - [f9f694f] Reduce security group db calls to neutron server
    - [72ef7b3] Cisco N1kv: Remove vmnetwork delete REST call on last port delete
    - [11f480e] Big Switch: Don't clear hash before sync
    - [4a84be5] Race for l2pop when ports go up/down on same host
    - [330ca81] Use EUI64 for IPv6 SLAAC when subnet is specified
 -- Chuck Short <email address hidden> Mon, 08 Dec 2014 13:12:05 -0500

Changed in neutron (Ubuntu Utopic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.2.1-0ubuntu2

---------------
heat (2014.2.1-0ubuntu2) utopic; urgency=medium

  * d/control: Add python-oslo.serialization to python-heat depends. Needed for
    heat-engine (LP: #1398952).

heat (2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (a27d371) (LP: #1398952):
    - [9f30872] Remove check_uptodate.sh check from tox.ini
    - [808b5c7] Make ResourceGroup updates update nested stacks
    - [6958217] ResourceGroup don't special-case zero count
    - [6f5dfaa] SoftwareDeployments make servers property updateable
    - [dc1b99d] Use environment file in template-validate
    - [7acee56] StackResource consider files in implementation_signature
    - [5664854] Move implementation_signature to StackResource
    - [0401e75] Correctly set CombinationAlarm repeat_actions
    - [4b721a4] Use properties in ceilometer alarm not parsed_template('Properties')
    - [b3db67b] Make sure that property defaults are converted correctly
    - [1d6dc24] RandomString don't skip superclass validation
    - [9f2d209] unconfigured clients look in the [clients] section for defaults
    - [699cc62] Update sample conf for new oslo.db release
    - [a76ba37] Mark stack_domain_admin_password as a secret option
    - [e6c1292] Inherit roles for create_trust_context()
    - [c9d671c] Always using domain id to create domain project or user
    - [16215dd] Add CERT file support in heat-keystone-setup-domain
    - [79e2300] Fix add_dependencies for floating_ip resource
    - [840cedd] Correct CA cert argument for glanceclient
    - [3f7d4bb] Tolerate null on Json db load
    - [a27d371] Don't stop update immediately on error
  * d/control: Add python-oslo.serialization to Build-Depends-Indep.
 -- Corey Bryant <email address hidden> Thu, 11 Dec 2014 17:30:04 -0500

Changed in heat (Ubuntu Utopic):
status: Fix Committed → Fix Released
Chris J Arges (arges) wrote :

Horizon has also been released into updates:

 horizon | 1:2014.2.1-0ubuntu2 | utopic-updates | source

Changed in horizon (Ubuntu Utopic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers